Name:       sl
Version:    6.0.git.130.8b9d998a
Release:    1%{?dist}
Summary:    SL (Steam Locomotive) runs across your terminal when you type "sl" as you meant to type "ls".

License:    SL
URL:        https://github.com/scaryrawr/sl
VCS:        git+https://github.com/scaryrawr/sl#8b9d998aef311047d778e74100a29d4a24061709:

Source:    sl-8b9d998a.tar.gz

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  cargo
BuildRequires:  rust
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  vcpkg

%description
SL (Steam Locomotive) runs across your terminal when you type "sl" as you meant to type "ls".

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%license LICENSE

%prep
%setup -T -b 0 -q -n sl

%build
git clone https://github.com/microsoft/vcpkg
export VCPKG_FORCE_SYSTEM_BINARIES=1
export VCPKG_ROOT=$PWD/vcpkg
ln -s `which vcpkg` $VCPKG_ROOT/vcpkg
cargo build --release

%install
install -D -p -m 755 target/release/sl %{buildroot}%{_bindir}/sl
install -D -p -m 644 sl.1 %{buildroot}%{_mandir}/man1/sl.1
install -D -p -m 644 sl.1.ja %{buildroot}%{_mandir}/man1/sl.1.ja

%changelog
* Wed Dec 11 2024 Mike Wallio <michael.wallio@outlook.com> 6.0.rc1-1
(none)

* Wed Dec 11 2024 Mike Wallio <michael.wallio@outlook.com> 6.0.0-rc1
(none)

* Sun Dec 01 2024 Mike Wallio <michael.wallio@outlook.com> 5.07-1
(none)
